
Katello - Feature #5268

[100] Scoped Search integration with Roles

04/21/2014 11:31 PM - Mike McCune

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We need to break this out into multiple stories and re-groom it.

This story requires:

- define our permissions and roles in the new Foreman model

- all Katello models integrated with scoped search

- UI needs to reflect permissions defined (managed via the controllers)

----

Imported from https://trello.com/c/T61UIuST/371-100-scoped-search-integration-with-roles_

History

#1 - 06/04/2014 02:39 AM - Eric Helms

- Status changed from New to Closed

- Triaged set to No

Closing this due to being mostly implemented and what hasn't been implemented has open stories to track.

#2 - 06/05/2014 03:31 AM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/21/2014 02:46 PM - Eric Helms

- translation missing: en.field_release set to 13
